<?php

namespace BS\StickyFirstPost\XF\Pub\Controller;

class Forum extends XFCP_Forum
{
	protected function setupThreadCreate(\XF\Entity\Forum $forum)
	{
		$creator = parent::setupThreadCreate($forum);
		
		if ($creator->getThread()->canStickyFirstPost())
		{
			$creator->setStickyFirstPost($this->filter('is_sticky_first_post', 'bool'));
		}

		return $creator;
	}
}