<?php

namespace BS\StickyFirstPost\XF\Pub\Controller;

class Thread extends XFCP_Thread
{
	protected function setupThreadEdit(\XF\Entity\Thread $thread)
	{
		$editor = parent::setupThreadEdit($thread);

		if ($thread->canStickyFirstPost())
		{
			$editor->setStickyFirstPost($this->filter('is_sticky_first_post', 'bool'));
		}

		return $editor;
	}
}