<?php

namespace BS\StickyFirstPost\XF\Admin\Controller;

use XF\Mvc\FormAction;

class Forum extends XFCP_Forum
{
	protected function saveTypeData(FormAction $form, \XF\Entity\Node $node, \XF\Entity\AbstractNode $data)
	{
		$data->set('bs_is_sticky_first_post', $this->filter('is_sticky_first_post', 'bool'));

		return parent::saveTypeData($form, $node, $data);
	}
}